[pacman] Problème de mirroirs

Mise à jour / Création /debug de paquetages
Répondre
emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

[pacman] Problème de mirroirs

Message par emacs250 » jeu. 06 déc. 2007, 14:22

Bonjour, recemment j'ai voulu formater mon disque, et reinstaller archlinux, a mon retour, pacman buggait enormement, exemple quand je fais pacman -S emacs, j'obtiens plein d'erreurs avec pacman de type:

Code : Tout sélectionner

::retrieving packages from <depot>
Failed downloading <paquet> from <mirroir>: 550 <paquet>: no such  file directory
J'ai utiliser le script sortmirrors mais ca fait toujours rien

Pouvez-vous m aider(Je suis sur le CD d'installation d'arch: Je pouvais pas telecharger links.

Merci d'avance...
emacs250

EDIT: Apparamment, il semblerait que mes depots ne soit pas a jour.
Dernière modification par emacs250 le jeu. 06 déc. 2007, 14:43, modifié 1 fois.

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Message par marc[i1] » jeu. 06 déc. 2007, 14:27

Salut,

tu utilises bien la dernière version du CD d'installation ?
http://mir.archlinux.fr/iso/latest/
Ne vous emmerdez plus, emmerdez les autres.

emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

Message par emacs250 » jeu. 06 déc. 2007, 18:34

Bien en faite, je ne pense pas etant donner que j'ai utiliser le meme CD qu'a ma premiere install et j'ai pris celui ci en juin 2007.

J'aurais penser qu'un pacman -Syu arrangerait tout ca.

emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

Message par emacs250 » jeu. 06 déc. 2007, 19:07

Ah, je crois que j'ai mis le doigt sur quelque chose! En effet auparavant je n'arrivais pas a telecharger libpng, alors je me suis rendu sur le ftp de archlinux.org, et j'ai regarder c'etait ecrit:

libpng-1.2.23-1-i686

Moi dans mon /usr/lib/pacman/extra/libpng-1.2.23-1/desc c'etait ecrit 1.2.23-1 alors j'ai rajouter le -i686 a %VERSION% et ca marchait...

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Message par marc[i1] » jeu. 06 déc. 2007, 21:18

c'est surtout que les dépots ont changé de structure. Tu as bien configurer les dépots comme ça :
http://wiki.archlinux.fr/arch:pacman_plus
avec [core] !
Ne vous emmerdez plus, emmerdez les autres.

emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

Message par emacs250 » ven. 07 déc. 2007, 17:58

En faite, en ce moment j'ai de gros problèmes pour installer archlinux(j'ai encore tout désinstaller), et quand je prends une version récente:
1- l'installation se fait comme si j'avais du SATA alors que mes disques sont IDE.
2- Le kernel ne se compile que pour les SATA
3- Il y'a de suite le bug du kernel lors de la mise à jour qu'il y'avait quelques mois.

Ce que je ne comprends pas, c'est: Est-ce tellement difficile d'installer archlinux, normalement une distribution de devrait pas être installable? Parce que pour l'instant mon opinion d'archlinux, c'est: Un bonne distribution ormi le fait qu'on ne peut pas l'installer...

Bon, pour reprendre(encore) une installation depuis zéro(Malgré son installation difficile archlinux est vraiment une très bonne distribution), je me demande quel iso télécharger, car si je suis le wiki celle que je dois télécharger est la 0.8 Voodoo, or c'est celle que j'ai pris tout à l'heure pour avoir le problème avec pacman, je me rappelle que celle que j'avais pris en premier et qui marchais hyper bien, c'était l'iso duke. Pouvez-vous m'indiquer quel iso prendre? Et dois-je créer un nouveau sujet?

Avatar de l’utilisateur
bapt
Daikyu
Messages : 85
Inscription : jeu. 20 sept. 2007, 09:20
Contact :

Message par bapt » ven. 07 déc. 2007, 18:15

Bah tu choisi une distribution qui évolue avec le temps, et qui ne fait pas de release figée pendant 6mois/1 an, il faut assumer, et suivre les évolutions au fur et à mesure, au minimum se renseigner sur ce qui a changer avant de refaire une installation/mise à jour.

Installer une archlinux est très simple tu prend de dernier CD disponible et tu suis ce que l'on te demande.

Concernant tes problèmes :
1/ c'est normale, c'est le passage du kernel à la libata (sata/pata), donc tous tes disques sont désormais vues comme sdXX.
2/ je ne vois pas ce que tu veux dire, ma machine à du SATA et du non SATA et sa marche très bien.
3/ c'est complètement incompréhensible, du moins pour moi : "Il y'a de suite le bug du kernel lors de la mise à jour qu'il y'avait quelques mois."

Je ne sais pas de quand date ta dernière installation/mise à jour, mais depuis il y a eu des modifications dans l'arborescence des packages (apparition de core), le noyau a évolué et arch te propose les nouvelles fonctionnalités de celui-ci : libata par exemple (mais toutes les distrib y passent).

Archlinux ne reste pas statique, elle évolue et c'est bien comme ça.

PS: prends la dernière iso disponible !!!

emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

Message par emacs250 » ven. 07 déc. 2007, 18:27

Pour le 3, je voulais dire que quand on faisais une mise à jour depuis duke vers gimick, beaucoup avais un kernel panic comme ça:

Ramdisk: compressed image found at block 0
No filesystem could mount root
Kernel panic not syncing:vfs unable to mount root on unknown block (0,0)

Et bien ce bug se reproduit à chaque fois que j'insalle.

Pour le dernier iso, c'est bien: http://mir1.archlinuxfr.org/archlinux/i ... 2.core.iso ? Je me demandais, car apparamment c'est un iso core, mais moi je veux un iso base pour avoir moins de paquets à télécharger.

Avatar de l’utilisateur
bapt
Daikyu
Messages : 85
Inscription : jeu. 20 sept. 2007, 09:20
Contact :

Message par bapt » ven. 07 déc. 2007, 18:38


emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

Message par emacs250 » ven. 07 déc. 2007, 18:42

bapt => Je vais éssayer mais je ne suis pas sur que ma carte réseau soit reconnu(la dernière fois ça marchait pas), sinon il n'y a aucun iso base?

Concernant l'embrouille d'au dessus, j'aurais aimer rajouter, que c'est quand même dommage de devoir re-graver un CD, bien sur on peut faire avec ce qu'on a mais il y'en a qui n'ont justement pas, je trouve que l'idéal serait de pouvoir faire la mise à jour avec un vieux CD d'installation..

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Message par marc[i1] » ven. 07 déc. 2007, 18:50

l'iso base n'existe plus.
Core est la remplacante.
http://mir.archlinux.fr/iso/latest/i686/
Voilà ! :)
Ne vous emmerdez plus, emmerdez les autres.

emacs250
Hankyu
Messages : 28
Inscription : sam. 29 sept. 2007, 00:31

Message par emacs250 » dim. 09 déc. 2007, 11:06

Je ne comprends toujours pas... A chaque fois que j'éssaye d'installer la dernière version, j'ai le kernel panic alors je vais sur un Live CD ubuntu pour faire le chroot et installer kernel-souces, mais je ne peux installer aucun logiciel, il dit que je n'ai plus de place, alors que si, j'en ai, et ça ne me le fait qu'avec pacman.
J'ai éssayer de réinstaller: Pareil. Pouvez-vous m'aider?

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Message par marc[i1] » dim. 09 déc. 2007, 14:37

bizarre comme truc !

Tu suis bien la doc d'installation ?
http://wiki.archlinux.fr/install:base
Ne vous emmerdez plus, emmerdez les autres.

Répondre